import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'photo_classify_method_channel.dart';

abstract class PhotoClassifyPlatform extends PlatformInterface {
  /// Constructs a PhotoClassifyPlatform.
  PhotoClassifyPlatform() : super(token: _token);

  static final Object _token = Object();

  static PhotoClassifyPlatform _instance = MethodChannelPhotoClassify();

  /// The default instance of [PhotoClassifyPlatform] to use.
  ///
  /// Defaults to [MethodChannelPhotoClassify].
  static PhotoClassifyPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [PhotoClassifyPlatform] when
  /// they register themselves.
  static set instance(PhotoClassifyPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<List<Map<String, dynamic>>?> getPhoto() {
    throw UnimplementedError('getPhoto() has not been implemented.');
  }
}
